// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
//

void lcd_string(char *data);

void lcd_enable(void);
void lcd_init(void);
void lcd_home(void);
void lcd_clear(void);
void set_cursor(uint8_t x, uint8_t y);

// Hier die verwendete Taktfrequenz in Hz eintragen, wichtig!
 
//#define F_CPU 8000000
 
// LCD Befehle
 
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02

// LCD-Typ festlegen

#define LCD_Typ 1 	//2x16, 2x20, 4x16
//#define LCD_Typ 2	//4x20

 
// Pinbelegung fr das LCD, an verwendete Pins anpassen
 

//2x20 Batron
#define LCD_PORT_4    PORTD
#define LCD_DDR_4     DDRD
#define LCD_D4		  PD5

#define LCD_PORT_5    PORTB
#define LCD_DDR_5     DDRB
#define LCD_D5		  PB5

#define LCD_PORT_6    PORTD
#define LCD_DDR_6     DDRD
#define LCD_D6		  PD6

#define LCD_PORT_7    PORTD
#define LCD_DDR_7     DDRD
#define LCD_D7		  PD7

#define LCD_RS_PORT	  PORTD
#define LCD_RS_DDR	  DDRD
#define LCD_RS        PD4

#define LCD_EN1_PORT  PORTB
#define LCD_EN1_DDR	  DDRB
#define LCD_EN1       PB4





